Bug 859785 - Task table has NULLable columns which should not be NULLable
Task table has NULLable columns which should not be NULLable
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 25.0
: ---
Assigned To: Dan Callaghan
Anwesha Chatterjee
ImplementationQuality
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 23:02 EDT by Raymond Mancy
Modified: 2018-03-19 00:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-19 00:18:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-09-23 23:02:34 EDT
Almost every field in task_table is NULLable, but almost none of them should be.
Comment 3 Dan Callaghan 2017-12-20 00:32:05 EST
https://gerrit.beaker-project.org/5955
Comment 5 Dan Callaghan 2018-01-09 22:28:04 EST
There is no expected change in behaviour here, so verification should just be that the database migration succeeds (it did) and that nothing else breaks.
Comment 7 Roman Joost 2018-03-19 00:18:04 EDT
Beaker 25.0 has been released.

Release notes are available upstream: https://beaker-project.org/docs/whats-new/release-25.html

Note You need to log in before you can comment on or make changes to this bug.